UpdateTemplate
curl --request POST \
--url https://developer.synq.io/api/alerts/v2/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"fqn": "<string>"
},
"template": {
"plain": "<string>",
"title": "<string>"
}
}
'import requests
url = "https://developer.synq.io/api/alerts/v2/template"
payload = {
"identifier": { "fqn": "<string>" },
"template": {
"plain": "<string>",
"title": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: {fqn: '<string>'},
template: {plain: '<string>', title: '<string>'}
})
};
fetch('https://developer.synq.io/api/alerts/v2/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert": {
"createdAt": "2023-01-15T01:30:15.01Z",
"incidentLifecycle": {
"settings": {
"states": [
"STATE_UNSPECIFIED"
]
},
"targets": [
{
"email": {
"recipientEmails": [
"jsmith@example.com"
]
}
}
]
},
"id": "<string>",
"name": "<string>",
"fqn": "<string>",
"isDisabled": true,
"template": {
"plain": "<string>",
"title": "<string>"
}
}
}synq.alerts.services.v2.AlertsService
UpdateTemplate
Set or clear the message template of an existing alert configuration. The config can be identified by either ID or FQN.
POST
/
api
/
alerts
/
v2
/
template
UpdateTemplate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
UpdateTemplateRequest sets or clears an alert's message template.
Identifier for the config to update.
- fqn
- id
Show child attributes
Show child attributes
New custom template for the rendered alert message. Omit to clear the template and revert to the default rendering. Currently applied only to issue alerts; accepted and ignored for other kinds.
- AlertTemplate
- AlertTemplate
Show child attributes
Show child attributes
Response
200 - application/json
Success
UpdateTemplateResponse returns the updated alert configuration.
The alert configuration that was updated.
- Alert
- Alert
- Alert
Show child attributes
Show child attributes